Subject: [tcpm] Additional editorial comments on draft-ietf-tcpm-rfc793bis-20

From: Gorry Fairhurst <[email-masked]>
Date: Fri, 12 Mar 2021 10:13:47 +0000

I did some very careful reading of a few sections of  rfc793bis, and 
have additional some late editorial comments.

I suspect these really are minor, but I'd hope worthwhile:

---

(1a) The text uses /may not/, in these two places:

/Note that some options may not be included on all segments/

- I wonder if this is umambiguous to all English speakers (it's not so 
clear to me), I think it could be better as

/Note that some options might not be included on all segments/

or ...

/Some of the segments might not include include all options/

... of something like that this?

---

(1b) I'd suggest similarly avoiding /may not/ in the description of IP 
Option processing.

---

(2) The document seems to be missing an IPv6 "view" of extensions in the 
IP Options part, section 3.6.1 (This is mentioned in the pseudo-header 
compuation). I suggest we add a brief sentence saying the calculation of 
"IPv6 Extension Headers" follows thar for IP Option size.

---

Gorry

---

From: Bob Briscoe <[email-masked]>
Date: Fri, 12 Mar 2021 12:00:57 +0000

Explanation for non-English speakers:
"she may not do something" can be interpreted in two different ways 
depending on whether the 'not' is associated with the 'may' or with the 
'do':
* "it may | not do something" meaning "it might fail to do something"
* "it may not | do something" meaning "it is not allowed to do something"

Bob

On 12/03/2021 10:13, Gorry Fairhurst wrote:
> (2) The document seems to be missing an IPv6 "view" of extensions in 
> the IP Options part, section 3.6.1 (This is mentioned in the 
> pseudo-header compuation). I suggest we add a brief sentence saying 
> the calculation of "IPv6 Extension Headers" follows thar for IP Option 
> size.
>
> ---
>
> Gorry
>
> _______________________________________________
> tcpm mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/tcpm

-- 
________________________________________________________________
Bob Briscoe                               http://bobbriscoe.net/